#include "prbool.h"
typedef PRBool (*prboolFuncPointerType)(PRBool foo);

prboolFuncPointerType* f;
struct StDef {
  typedef PRBool (*prboolFuncPointerType2)(PRBool foo);
};
struct St {
  StDef::prboolFuncPointerType2 f2;
};

void foo(St *s, prboolFuncPointerType aFunc) {
  PRBool v = (*f)(1);
  v = s->f2(v);
  v = (*aFunc)(1);
}
